# fn:error

fn:error()

Function signature

Result |

Raises an error.

XPath 2.0 Specification

fn:error($error as xs:QName?)

Function signature

Result |

Raises an error.

XPath 2.0 Specification

Saxon allows the first argument to be an empty sequence, treating this as equivalent to calling fn:error() with no arguments. The URI part of the QName is currently ignored.

fn:error($error as xs:QName?, $description as xs:string)

Function signature

Result |

Raises an error.

XPath 2.0 Specification

The URI part of the QName is currently ignored.

fn:error($error as xs:QName?, $description as xs:string, $error-object as item()*)

Function signature

Result |

Raises an error.

XPath 2.0 Specification

The URI part of the QName is currently ignored. The error-object is currently ignored.

Expand | Up Next